> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refund

> Retrieve the details of a specific refund by its ID.



## OpenAPI

````yaml openapi.json get /pg/refunds/{refund_id}
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /pg/refunds/{refund_id}:
    get:
      tags:
        - Refunds
      summary: Get Refund
      description: Retrieve the details of a specific refund by its ID.
      parameters:
        - name: refund_id
          in: path
          description: The ID of the refund to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The details of the refund.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRefundResponse'
              example:
                success: true
                message: Refund details retrieved successfully
                data:
                  refund_id: RF1481534012
                  refund_amount: 12
                  refund_status: INITIATED
                  refunded_at: null
                  message: No action status found
                  payment_id: PR3828502708
        '404':
          description: Refund not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                message: Refund not found
                error:
                  code: ERR_REFUND_404
                  message: Refund with ID 'RF1481534012' not found
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  schemas:
    GetRefundResponse:
      type: object
      required:
        - success
        - message
        - data
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        message:
          type: string
          description: Response message
        data:
          $ref: '#/components/schemas/Refund'
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        error:
          $ref: '#/components/schemas/ErrorDetails'
    Refund:
      type: object
      properties:
        refund_id:
          type: string
          description: Unique identifier for the refund.
        payment_id:
          type: string
          description: The ID of the payment that was refunded.
        refund_status:
          type: string
          description: The status of the refund.
        message:
          type: string
          nullable: true
          description: A message providing more detail about the refund status.
        bank_ref_num:
          type: string
          nullable: true
          description: The bank reference number for the refund.
        refund_amount:
          type: number
          format: float
          description: The refunded amount.
        refunded_at:
          type: string
          format: date-time
          nullable: true
          description: The timestamp of when the refund was completed.
    ErrorDetails:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code (e.g., ERR_ORDER_002)
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Detailed validation error information with field-specific errors
          additionalProperties:
            type: string
            description: Error message for the specific field
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````